--set up the application variables
application:setLogicalDimensions(1200, 1920)
application:setOrientation(Application.LANDSCAPE_LEFT)
application:setScaleMode("letterbox")
application:setBackgroundColor(0x140C1C)

--define the scenes
sceneManager = SceneManager.new({
    
    ["start"] = Start,				--start scene
    ["character"] = Character,		--character creation scene
    ["play"] = Game,				--the main game 
})

--add manager to stage
stage:addChild(sceneManager)

sceneManager:changeScene("start", 1, SceneManager.flipWithFade)